import numpy as np

names = {
    'mu_0': 'k_alg_growth_max',
    'lambda_S': 'k_att_shade',
    'K_light': 'k_light_sm',
    'f_Si': 'frac_si_alg_1',
    'sigma_0': 'k_alg_loss',
    'a': 'coeff_d_loss_2'
}

bins = {}
outside = {}
bins['mu_0'] = np.linspace(0.0, 5.4, 10)
bins['lambda_S'] = np.linspace(0.0, 0.045, 10)
bins['K_light'] = np.linspace(0.0, 450, 10)
bins['f_Si'] = np.linspace(0.0, 0.36, 10)
bins['sigma_0'] = np.linspace(0.0, 0.36, 10)
outside['mu_0'] = (False, True)
outside['lambda_S'] = (False, True)
outside['K_light'] = (False, True)
outside['sigma_0'] = (False, True)
outside['f_Si'] = (False, True)

bins['a'] = np.linspace(1.1, 1.9, 9)
outside['a'] = (True, True)

colors = {}
colors['mu_0'] = ('#8ecbad', '#b3ffd9')
colors['lambda_S'] = ('#8ecbad', '#b3ffd9')
colors['K_light'] = ('#8ecbad', '#b3ffd9')
colors['f_Si'] = ('#83b4cc', '#a4e1ff')
colors['sigma_0'] = ('#cca885', '#ffd2a6')
colors['a'] = ('#cca885', '#ffd2a6')

title = {}
title['mu_0'] = 'μ<sub>0</sub>'
title['lambda_S'] = 'λ<sub>S</sub>'
title['K_light'] = 'K<sub>light</sub>'
title['f_Si'] = 'f<sub>Si</sub>'
title['sigma_0'] = 'σ<sub>0</sub>'
title['a'] = 'a'

def get_cond(dat):
    return [
        np.logical_and(dat['mu_0']>=bins['mu_0'][1], dat['mu_0']<bins['mu_0'][2]),
        np.logical_and(dat['mu_0']>=bins['mu_0'][4], dat['mu_0']<bins['mu_0'][5]),
        np.logical_and(
            np.logical_and(dat['mu_0']>=bins['mu_0'][4], dat['mu_0']<bins['mu_0'][5]),
            np.logical_and(dat['f_Si']>=bins['f_Si'][2], dat['f_Si']<bins['f_Si'][3])
        ),
        np.logical_and(
            np.logical_and(dat['mu_0']>=bins['mu_0'][4], dat['mu_0']<bins['mu_0'][5]),
            np.logical_and(dat['f_Si']>=bins['f_Si'][5], dat['f_Si']<bins['f_Si'][6])
        )
    ]
